Thanks for downloading
.NET Framework 4.7.2 Developer Pack

Problem downloading? Try again.

Need a language pack?

Language packs contains translated error messages and other UI text for languages other than English.

You need to install the .NET Framework 4.7.2 Developer Pack prior to installing language packs.

.NET Community

Connect with other .NET developers.

Join the community

Want to build apps?

Step-by-step tutorial to build your first .NET application.

Get started

Architecture guidance

Architecture guidance for microservices, web applications, and more

View architecture guidance

Ready to Get Started?

Our step-by-step tutorial will help you get .NET running on your computer.

Supported on Windows, Linux, and macOS

Get Started